package com.ruoyi.zongzhi.mapper;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcCommentator;

/**
 * 网评员Mapper接口
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public interface TcCommentatorMapper 
{
    /**
     * 查询网评员
     * 
     * @param id 网评员主键
     * @return 网评员
     */
    public TcCommentator selectTcCommentatorById(Long id);

    /**
     * 查询网评员列表
     * 
     * @param tcCommentator 网评员
     * @return 网评员集合
     */
    public List<TcCommentator> selectTcCommentatorList(TcCommentator tcCommentator);

    /**
     * 新增网评员
     * 
     * @param tcCommentator 网评员
     * @return 结果
     */
    public int insertTcCommentator(TcCommentator tcCommentator);

    /**
     * 修改网评员
     * 
     * @param tcCommentator 网评员
     * @return 结果
     */
    public int updateTcCommentator(TcCommentator tcCommentator);

    /**
     * 删除网评员
     * 
     * @param id 网评员主键
     * @return 结果
     */
    public int deleteTcCommentatorById(Long id);

    /**
     * 批量删除网评员
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcCommentatorByIds(Long[] ids);
}
